Bug 842661 - [abrt] stellarium-0.11.3-2.fc17: Satellite::drawOrbit: Process /usr/bin/stellarium was killed by signal 11 (SIGSEGV)
[abrt] stellarium-0.11.3-2.fc17: Satellite::drawOrbit: Process /usr/bin/stell...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: stellarium (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:9b4506a3342900b06e289bc8aaa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 08:05 EDT by kuchiman
Modified: 2013-07-31 21:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.96 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details
File: backtrace (58.39 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details
File: smolt_data (3.18 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details
File: maps (32.93 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details
File: dso_list (10.10 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details
File: build_ids (4.24 KB, text/plain)
2012-07-24 08:05 EDT, kuchiman
no flags Details

  None (edit)
Description kuchiman 2012-07-24 08:05:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        stellarium
crash_function: Satellite::drawOrbit
executable:     /usr/bin/stellarium
kernel:         3.4.6-2.fc17.i686
pid:            8956
pwd:            /home/roman
time:           Вт. 24 июля 2012 15:53:09
uid:            1000
username:       roman

backtrace:      Text file, 59787 bytes
build_ids:      Text file, 4346 bytes
core_backtrace: Text file, 5081 bytes
dso_list:       Text file, 10342 bytes
maps:           Text file, 33723 bytes
smolt_data:     Binary file, 3257 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/roman/10

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=10
:HOSTNAME=localhost.localdomain
:GIO_LAUNCHED_DESKTOP_FILE_PID=8956
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/roman/keyring-X2eIgW/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/roman/keyring-X2eIgW
:QTDIR=/usr/lib/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=roman
:SSH_AUTH_SOCK=/run/user/roman/keyring-X2eIgW/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/6066,unix/unix:/tmp/.ICE-unix/6066
:USERNAME=roman
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-stellarium.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/roman/.local/bin:/home/roman/bin
:MAIL=/var/spool/mail/roman
:QT_IM_MODULE=xim
:PWD=/home/roman
:XMODIFIERS=@im=none
:LANG=ru_RU.utf8
:GNOME_KEYRING_PID=6060
:KDE_IS_PRELINKED=1
:GDM_LANG=ru_RU.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/roman
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=roman
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FwmsLrCGrB,guid=a4a0046fc21b049996b013b100004252
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/roman
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-roman-EeCcbR/database
:CCACHE_HASHDIR=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13815                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13815                13815                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/roman/.xsession-errors
:pos:	108137
:flags:	02002
:2:/home/roman/.xsession-errors
:pos:	108137
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[1061129]
:pos:	0
:flags:	02004000
:5:pipe:[1061129]
:pos:	0
:flags:	02004001
:6:socket:[1061130]
:pos:	0
:flags:	02004002
:7:socket:[1061131]
:pos:	0
:flags:	02004002
:8:socket:[1061145]
:pos:	0
:flags:	02000002
:9:/home/roman/.stellarium/log.txt
:pos:	13488
:flags:	02100001
:10:/dev/dri/card0
:pos:	0
:flags:	02
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[1061520]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 24 15:49:07 localhost yum[8929]: Installed: stellarium-doc-0.11.3-2.fc17.noarch
:Jul 24 15:49:26 localhost yum[8929]: Installed: stellarium-0.11.3-2.fc17.i686
:Jul 24 15:53:08 localhost kernel: [24430.641828] stellarium[8956]: segfault at 29 ip 08365e67 sp bffdd600 error 4 in stellarium[8048000+719000]
:Jul 24 15:53:10 localhost abrt[8987]: Saved core dump of pid 8956 (/usr/bin/stellarium) to /var/spool/abrt/ccpp-2012-07-24-15:53:09-8956 (106278912 bytes)

xsession_errors:
:User config directory does not exist:  "/home/roman/.stellarium" 
:Creating directory  "/home/roman/.stellarium" 
:[ This is Stellarium 0.11.3 - http://www.stellarium.org ] 
:Writing log file to: "/home/roman/.stellarium/log.txt" 
:  0 .  "/home/roman/.stellarium" 
:  1 .  "/usr/share/stellarium" 
:Config file  "/home/roman/.stellarium/config.ini"  does not exist. Copying the default file. 
:Config file is:  "/home/roman/.stellarium/config.ini" 
:Cache directory is:  "/home/roman/.cache/stellarium/stellarium" 
:Loaded 69 / 69 planet orbits from "/usr/share/stellarium/data/ssystem.ini" 
:Creating directory  "/home/roman/.stellarium/stars/default" 
:Creates file  "/home/roman/.stellarium/stars/default/starsConfig.json" 
:"Loading "/usr/share/stellarium/stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013" 
:"Loading "/usr/share/stellarium/stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999" 
:"Loading "/usr/share/stellarium/stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416" 
:"Loading "/usr/share/stellarium/stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064" 
:Loading star names from "/usr/share/stellarium/skycultures/western/star_names.fab" 
:Loading star names from "/usr/share/stellarium/stars/default/name.fab" 
:Creating directory  "/home/roman/.stellarium/modules/Oculars" 
:Oculars::validateIniFile copied default_ocular.ini to  "/home/roman/.stellarium/modules/Oculars/ocular.ini" 
:Creating directory  "/home/roman/.stellarium/modules/Satellites" 
:Satellites::init satellites.json does not exist - copying default file to  "/home/roman/.stellarium/modules/Satellites/satellites.json" 
:Satellites::init copied default satellites.json to  "/home/roman/.stellarium/modules/Satellites/satellites.json" 
:Satellites::init using satellite.json file:  "/home/roman/.stellarium/modules/Satellites/satellites.json" 
:Trying to copy ssystem.ini to "/home/roman/.stellarium/data/ssystem.ini" 
:Satellites::saveTleMap() writing to: "/home/roman/.stellarium/modules/Satellites/satellites.json" 
:[ This is Stellarium 0.11.3 - http://www.stellarium.org ] 
:Writing log file to: "/home/roman/.stellarium/log.txt" 
:  0 .  "/home/roman/.stellarium" 
:  1 .  "/usr/share/stellarium" 
:Config file is:  "/home/roman/.stellarium/config.ini" 
:Cache directory is:  "/home/roman/.cache/stellarium/stellarium" 
:Loaded 69 / 69 planet orbits from "/home/roman/.stellarium/data/ssystem.ini" 
:"Loading "/usr/share/stellarium/stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013" 
:"Loading "/usr/share/stellarium/stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999" 
:"Loading "/usr/share/stellarium/stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416" 
:"Loading "/usr/share/stellarium/stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064" 
:Loading star names from "/usr/share/stellarium/skycultures/western/star_names.fab" 
:Loading star names from "/usr/share/stellarium/stars/default/name.fab" 
:Oculars::validateIniFile ocular.ini exists at:  "/home/roman/.stellarium/modules/Oculars/ocular.ini" . Checking version... 
:Satellites::init using satellite.json file:  "/home/roman/.stellarium/modules/Satellites/satellites.json"
Comment 1 kuchiman 2012-07-24 08:05:20 EDT
Created attachment 599996 [details]
File: core_backtrace
Comment 2 kuchiman 2012-07-24 08:05:23 EDT
Created attachment 599997 [details]
File: backtrace
Comment 3 kuchiman 2012-07-24 08:05:25 EDT
Created attachment 599998 [details]
File: smolt_data
Comment 4 kuchiman 2012-07-24 08:05:27 EDT
Created attachment 599999 [details]
File: maps
Comment 5 kuchiman 2012-07-24 08:05:29 EDT
Created attachment 600000 [details]
File: dso_list
Comment 6 kuchiman 2012-07-24 08:05:33 EDT
Created attachment 600001 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 19:01:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 21:20:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.